# PhasicFlow: uniformRandomInt32 Class Reference

uniformRandomInt32 Class Reference

## Public Member Functions

| TypeInfoNV ("uniform")
| uniformRandomInt32 (int32 min, int32 max)
| ~uniformRandomInt32 ()=default
real | randomNumber ()
int32x3 | randomNumber3 ()
realx3 | operator() ()

## Protected Attributes

std::mt19937_64 | engineGen_
std::uniform_int_distribution< int32 > | distrbution_

## Detailed Description

Definition at line 32 of file uniformRandomInt32.hpp.

## Constructor & Destructor Documentation

## uniformRandomInt32()

uniformRandomInt32 | ( | int32 | min,
|  | int32 | max
| ) |  |

inlineexplicit

Definition at line 45 of file uniformRandomInt32.hpp.

## ~uniformRandomInt32()

~uniformRandomInt32 | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "uniform" |  | ) |

## randomNumber()

real randomNumber | ( |  | ) |

inline

Definition at line 53 of file uniformRandomInt32.hpp.

References uniformRandomInt32::distrbution_, and uniformRandomInt32::engineGen_.

Referenced by uniformRandomInt32::operator()(), uniformRandomInt32::randomNumber3(), and selectRandom::selectAllPointsInRange().

Here is the caller graph for this function:

## randomNumber3()

int32x3 randomNumber3 | ( |  | ) |

inline

Definition at line 58 of file uniformRandomInt32.hpp.

References uniformRandomInt32::randomNumber().

Here is the call graph for this function:

## operator()()

realx3 operator() | ( |  | ) |

inline

Definition at line 68 of file uniformRandomInt32.hpp.

References uniformRandomInt32::randomNumber().

Here is the call graph for this function:

## Member Data Documentation

## engineGen_

std::mt19937_64 engineGen_

protected

Definition at line 36 of file uniformRandomInt32.hpp.

Referenced by uniformRandomInt32::randomNumber().

## distrbution_

std::uniform_int_distribution<int32> distrbution_

protected

Definition at line 38 of file uniformRandomInt32.hpp.

Referenced by uniformRandomInt32::randomNumber().

The documentation for this class was generated from the following file:

- src/phasicFlow/random/randomInt32/uniformRandomInt32.hpp